SpyBara
Go Premium

resources/containers/subresources/files/methods/create/index.md 2026-07-10 23:02 UTC to 2026-07-12 06:58 UTC

5 added, 5 removed.

2026
Wed 15 02:58 Tue 14 06:58 Mon 13 15:59 Sun 12 06:58 Fri 10 23:02 Thu 9 20:58 Tue 7 08:02

Create container file

post /containers/{container_id}/files

Create a Container File

You can send either a multipart/form-data request with the raw file content, or a JSON request with a file ID.

Path Parameters

  • container_id: string

Body Parameters

  • file: optional string

    The File object (not file name) to be uploaded.

  • file_id: optional string

    Name of the file to create.

Returns

  • id: string

    Unique identifier for the file.

  • bytes: number

    Size of the file in bytes.

  • container_id: string

    The container this file belongs to.

  • created_at: number

    Unix timestamp (in seconds) when the file was created.

  • object: string

    The type of this object (container.file).

  • path: string

    Path of the file in the container.

  • source: string

    Source of the file (e.g., user, assistant).

Example

curl https://api.openai.com/v1/containers/$CONTAINER_ID/files \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "id": "id",
  "bytes": 0,
  "container_id": "container_id",
  "created_at": 0,
  "object": "object",
  "path": "path",
  "source": "source"
}

Example

curl https://api.openai.com/v1/containers/cntr_682e0e7318108198aa783fd921ff305e08e78805b9fdbb04/files \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -F file="@example.txt"

Response

{
  "id": "cfile_682e0e8a43c88191a7978f477a09bdf5",
  "object": "container.file",
  "created_at": 1747848842,
  "bytes": 880,
  "container_id": "cntr_682e0e7318108198aa783fd921ff305e08e78805b9fdbb04",
  "path": "/mnt/data/88e12fa445d32636f190a0b33daed6cb-tsconfig.json",
  "source": "user"
}